Tool
brain_memory_get
Get one memory by id (product+agent scoped)
Get one memory by id (product+agent scoped)
Behavior
- HTTP
GET /brain/memory/:memory_id
Arguments
| Name | Type | Required | Description |
|---|---|---|---|
| memory_id | string | • | Engine memory id |
Response
| Field | Type | Always | Description |
|---|---|---|---|
| tags | array | • | |
| layer | string | • | Engine memory layer (l0_basic_info…l7_intention) |
| custom | object | • | |
| source | string | • | |
| status | string | • | |
| content | string | • | |
| user_id | string | • | |
| agent_id | string | • | |
| is_latest | boolean | • | |
| memory_at | number | • | |
| memory_id | string | • | |
| speculate | string | • | |
| confidence | number | • | |
| elapsed_ms | number | • | |
| request_id | string | • | |
| supersedes | array | • | |
| gmt_created | number | • | |
| superseded_by | array | • | |
| source_authority | string | • | Source authority (highest→lowest): policy > official > team > informal |
| source_raw_memory_id | string | • |
Try it
Get one memory by id (product+agent scoped).